org.eclipse.rdf4j.query.algebra

## Class InsertData

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode
  - - org.eclipse.rdf4j.query.algebra.InsertData

- All Implemented Interfaces:
    Serializable, Cloneable, GraphPatternGroupable, QueryModelNode, UpdateExpr, VariableScopeChange

      public class InsertData
      extends AbstractQueryModelNode
      implements UpdateExpr

  Author:
    jeen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InsertData(String dataBlock)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InsertData` | `clone()` Returns a (deep) clone of this query model node.
    `boolean` | `equals(Object other)` Returns `true` if this query model node and its children are recursively equal to `o` and its children.
    `String` | `getDataBlock()`
    `int` | `getLineNumberOffset()`
    `int` | `hashCode()`
    `boolean` | `isSilent()`
    `void` | `setLineNumberOffset(int lineNumberOffset)`
    `<X extends Exception> void` | `visit(QueryModelVisitor<X> visitor)` Visits this node.

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, isGraphPatternGroup, isVariableScopeChange, nullEquals, replaceChildNode, replaceNodeInList, replaceWith, setCostEstimate, setGraphPatternGroup, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, setVariableScopeChange, toString, visitChildren`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.QueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, replaceChildNode, replaceWith, setCostEstimate, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, toString, visitChildren`

- - ### Constructor Detail

    - #### InsertData

          public InsertData(String dataBlock)

  - ### Method Detail

    - #### visit

          public <X extends Exception> void visit(QueryModelVisitor<X> visitor)
                                           throws X extends Exception

      Description copied from interface: `QueryModelNode`
      Visits this node. The node reports itself to the visitor with the proper runtime type.
      Specified by:
        `visit` in interface `QueryModelNode`
      Throws:
        `X extends Exception`

    - #### getDataBlock

          public String getDataBlock()

    - #### equals

          public boolean equals(Object other)

      Description copied from interface: `QueryModelNode`
      Returns `true` if this query model node and its children are recursively equal to `o` and its children.
      Specified by:
        `equals` in interface `QueryModelNode`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### clone

          public InsertData clone()

      Description copied from interface: `QueryModelNode`
      Returns a (deep) clone of this query model node. This method recursively clones the entire node tree, starting from this nodes.
      Specified by:
        `clone` in interface `QueryModelNode`
      Specified by:
        `clone` in interface `UpdateExpr`
      Overrides:
        `clone` in class `AbstractQueryModelNode`
      Returns:
        A deep clone of this query model node.

    - #### isSilent

          public boolean isSilent()

      Specified by:
        `isSilent` in interface `UpdateExpr`
      Returns:
        Returns the silent.

    - #### getLineNumberOffset

          public int getLineNumberOffset()

      Returns:
        the lineNumberCorrection

    - #### setLineNumberOffset

          public void setLineNumberOffset(int lineNumberOffset)

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.